Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2788823002: Add the Mojo implementation of authenticator.mojom's MakeCredential. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 3 weeks ago by kpaulhamus
Modified:
3 months, 3 weeks ago
CC:
Aaron Boodman, abarth-chromium, aczeskis, battre, blink-reviews, blundell+watchlist_chromium.org, chromium-reviews, darin (slow to review), darin-cc_chromium.org, dcheng, droger+watchlist_chromium.org, engedy, haraken, qsr+mojo_chromium.org, sdefresne+watchlist_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

This change adds the Mojo implementation of authenticator.mojom's MakeCredential. The remainder of the implementation to call U2F.register() is in a follow-up CL. BUG=664630 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation Review-Url: https://codereview.chromium.org/2788823002 Cr-Commit-Position: refs/heads/master@{#483675} Committed: https://chromium.googlesource.com/chromium/src/+/7c9f0094c6c0c202aa8d7219b89a5909edd74f1b

Patch Set 1 #

Patch Set 2 : Added webauth browser feature. Corrected optional mojom struct params. Blink rename. #

Total comments: 1

Patch Set 3 : rebase #

Patch Set 4 : Stripping out unnecessary comments #

Total comments: 1

Patch Set 5 : Removed dispose method #

Total comments: 9

Patch Set 6 : Rebase for blink rename. Updated with latest callback and mojo binding changes. Removed dependency … #

Patch Set 7 : Adding OWNERS for Source/modules/webauth #

Patch Set 8 : Rebasing to relocate WebRuntimeFeatures #

Total comments: 11

Patch Set 9 : Addressing comments #

Total comments: 24

Patch Set 10 : Addressing mkwst comments #

Patch Set 11 : Move mojom to blink and add unittests. #

Total comments: 6

Patch Set 12 : Address comments on unittests #

Total comments: 2

Patch Set 13 : Move authenticator manager from chrome/ to components/ #

Total comments: 3

Patch Set 14 : Address tryjobs failure #

Total comments: 4

Patch Set 15 : Migreate webauth in components/ and chrome/ to content/ #

Total comments: 16

Patch Set 16 : Address Jochen's comments #

Total comments: 1

Patch Set 17 : Add comment regarding authenticator.mojom return value #

Patch Set 18 : Address layout test errors #

Total comments: 1

Patch Set 19 : Remove unneeded includes #

Total comments: 1

Patch Set 20 : Export authenticator_impl #

Unified diffs Side-by-side diffs Delta from patch set Stats (+541 lines, -203 lines) Patch
M components/webauth/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +0 lines, -15 lines 0 comments Download
D components/webauth/OWNERS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +0 lines, -2 lines 0 comments Download
M components/webauth/authenticator.mojom View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -89 lines 0 comments Download
M content/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/frame_host/render_frame_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +6 lines, -0 lines 0 comments Download
A content/browser/webauth/OWNERS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +5 lines, -0 lines 0 comments Download
A content/browser/webauth/authenticator_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +58 lines, -0 lines 0 comments Download
A content/browser/webauth/authenticator_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +111 lines, -0 lines 0 comments Download
A content/browser/webauth/authenticator_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +163 lines, -0 lines 0 comments Download
M content/child/runtime_features.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +4 lines, -0 lines 0 comments Download
M content/public/app/mojo/content_browser_manifest.json View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +2 lines, -1 line 0 comments Download
M content/public/common/content_features.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/content_features.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +5 lines, -0 lines 0 comments Download
M content/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/webauth/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/modules/webauth/DEPS View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -1 line 0 comments Download
A third_party/WebKit/Source/modules/webauth/OWNERS View 1 2 3 4 5 6 7 8 9 10 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/webauth/WebAuthentication.h View 1 2 3 4 5 6 7 8 9 10 3 chunks +11 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 8 chunks +132 lines, -67 lines 0 comments Download
M third_party/WebKit/Source/platform/exported/WebRuntimeFeatures.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/public/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +2 lines, -4 lines 0 comments Download
M third_party/WebKit/public/platform/WebRuntimeFeatures.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/public/platform/modules/webauth/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +9 lines, -0 lines 0 comments Download
A + third_party/WebKit/public/platform/modules/webauth/OWNERS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +1 line, -0 lines 0 comments Download
A + third_party/WebKit/public/platform/modules/webauth/authenticator.mojom View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 5 chunks +19 lines, -8 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 97 (42 generated)
Zhiqiang Zhang (Slow)
https://codereview.chromium.org/2788823002/diff/20001/third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp File third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp (right): https://codereview.chromium.org/2788823002/diff/20001/third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp#newcode209 third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp:209: cleanup(); Actually, the issue is unrelated to mojo. I ...
6 months, 1 week ago (2017-04-11 19:42:50 UTC) #3
kpaulhamus
On 2017/04/11 19:42:50, Zhiqiang Zhang wrote: > https://codereview.chromium.org/2788823002/diff/20001/third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp > File third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp (right): > > https://codereview.chromium.org/2788823002/diff/20001/third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp#newcode209 ...
6 months, 1 week ago (2017-04-12 19:15:05 UTC) #5
kpaulhamus
@foolip, can you look at anything under third_party/WebKit/Source/modules? @dcheng, can you review components/webauth, and WebRuntimeFeatures? ...
6 months, 1 week ago (2017-04-12 19:26:11 UTC) #7
kpaulhamus
On 2017/04/12 19:26:11, kpaulhamus wrote: > @foolip, can you look at anything under third_party/WebKit/Source/modules? > ...
6 months, 1 week ago (2017-04-12 19:27:31 UTC) #8
haraken
https://codereview.chromium.org/2788823002/diff/60001/third_party/WebKit/Source/modules/webauth/WebAuthentication.h File third_party/WebKit/Source/modules/webauth/WebAuthentication.h (right): https://codereview.chromium.org/2788823002/diff/60001/third_party/WebKit/Source/modules/webauth/WebAuthentication.h#newcode32 third_party/WebKit/Source/modules/webauth/WebAuthentication.h:32: USING_PRE_FINALIZER(WebAuthentication, Dispose); What is it for? The Dispose method ...
6 months, 1 week ago (2017-04-13 01:59:40 UTC) #10
kpaulhamus
On 2017/04/13 01:59:40, haraken wrote: > https://codereview.chromium.org/2788823002/diff/60001/third_party/WebKit/Source/modules/webauth/WebAuthentication.h > File third_party/WebKit/Source/modules/webauth/WebAuthentication.h (right): > > https://codereview.chromium.org/2788823002/diff/60001/third_party/WebKit/Source/modules/webauth/WebAuthentication.h#newcode32 > ...
6 months, 1 week ago (2017-04-13 16:56:11 UTC) #11
kpaulhamus
6 months, 1 week ago (2017-04-13 17:03:41 UTC) #12
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2788823002/diff/80001/components/webauth/authenticator_impl.h File components/webauth/authenticator_impl.h (right): https://codereview.chromium.org/2788823002/diff/80001/components/webauth/authenticator_impl.h#newcode27 components/webauth/authenticator_impl.h:27: AuthenticatorImpl(content::RenderFrameHost* render_frame_host); nit. explicit. should this ctor be private? ...
5 months, 3 weeks ago (2017-04-25 15:08:26 UTC) #14
kpaulhamus
https://codereview.chromium.org/2788823002/diff/80001/components/webauth/authenticator_impl.h File components/webauth/authenticator_impl.h (right): https://codereview.chromium.org/2788823002/diff/80001/components/webauth/authenticator_impl.h#newcode27 components/webauth/authenticator_impl.h:27: AuthenticatorImpl(content::RenderFrameHost* render_frame_host); On 2017/04/25 15:08:26, jochen wrote: > nit. ...
5 months, 1 week ago (2017-05-11 20:09:57 UTC) #15
foolip
I'm not really familiar with webauthn, but I see that Source/modules/webauth/OWNERS does not exist? kpaulhamus@, ...
5 months, 1 week ago (2017-05-12 07:55:51 UTC) #16
foolip
Took a very cursory look at things that interested me, will do a proper review ...
5 months, 1 week ago (2017-05-12 08:00:07 UTC) #17
jochen (gone - plz use gerrit)
+engedy, so he can get familiar with the code as well
5 months, 1 week ago (2017-05-15 05:31:09 UTC) #19
kpaulhamus
On 2017/05/15 05:31:09, jochen wrote: > +engedy, so he can get familiar with the code ...
4 months, 3 weeks ago (2017-05-24 20:54:04 UTC) #21
kpaulhamus
https://codereview.chromium.org/2788823002/diff/80001/third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp File third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp (right): https://codereview.chromium.org/2788823002/diff/80001/third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp#newcode75 third_party/WebKit/Source/modules/webauth/WebAuthentication.cpp:75: // Step 1 of https://w3c.github.io/webauthn/#makeCredential On 2017/05/12 08:00:06, foolip ...
4 months, 3 weeks ago (2017-05-24 21:08:44 UTC) #23
jochen (gone - plz use gerrit)
my main concern is that this is implementing the old API (before merging with the ...
4 months, 3 weeks ago (2017-05-30 12:03:03 UTC) #24
kpaulhamus
On 2017/05/30 12:03:03, jochen wrote: > my main concern is that this is implementing the ...
4 months, 2 weeks ago (2017-05-31 20:55:55 UTC) #25
kpaulhamus
https://codereview.chromium.org/2788823002/diff/140001/chrome/browser/chrome_content_browser_client.cc File chrome/browser/chrome_content_browser_client.cc (left): https://codereview.chromium.org/2788823002/diff/140001/chrome/browser/chrome_content_browser_client.cc#oldcode1693 chrome/browser/chrome_content_browser_client.cc:1693: const service_manager::BindSourceInfo& source_info, On 2017/05/30 12:03:02, jochen wrote: > ...
4 months, 2 weeks ago (2017-05-31 20:56:06 UTC) #26
jochen (gone - plz use gerrit)
I don't mind landing as is. mkwst/engedy, wdyt?
4 months, 2 weeks ago (2017-06-02 11:19:38 UTC) #27
Mike West
Sorry for the delayed response. I think engedy@ was waiting on me to respond, while ...
4 months, 2 weeks ago (2017-06-07 06:37:57 UTC) #28
kpaulhamus
On 2017/06/07 06:37:57, Mike West wrote: > Sorry for the delayed response. I think engedy@ ...
4 months, 1 week ago (2017-06-08 05:02:35 UTC) #29
kpaulhamus
On 2017/06/07 06:37:57, Mike West wrote: > Sorry for the delayed response. I think engedy@ ...
4 months, 1 week ago (2017-06-08 05:02:38 UTC) #30
Mike West
On 2017/06/08 at 05:02:38, kpaulhamus wrote: > On 2017/06/07 06:37:57, Mike West wrote: > > ...
4 months, 1 week ago (2017-06-13 21:11:23 UTC) #32
kpaulhamus
Thanks for taking a look! I'm in the process of adding authenticator_impl_unittest. I'm still learning ...
4 months ago (2017-06-15 01:27:14 UTC) #33
kpaulhamus
I should clarify... I definitely understand the dilemma, and I'm totally willing to add tests. ...
4 months ago (2017-06-15 16:38:11 UTC) #34
Mike West
Thursday was a holiday here, and I guess everyone in MUC ended up out on ...
4 months ago (2017-06-19 12:19:23 UTC) #35
kpaulhamus
On 2017/06/19 12:19:23, Mike West (OOO until 19th) wrote: > Thursday was a holiday here, ...
4 months ago (2017-06-19 23:34:41 UTC) #36
jam
the mojom should be in blink, any reason why it's not?
3 months, 4 weeks ago (2017-06-22 00:31:44 UTC) #37
kpaulhamus
I moved the mojom to blink and added unit tests. Mike's name is now spelled ...
3 months, 3 weeks ago (2017-06-26 15:37:40 UTC) #38
Mike West
A few tiny questions. Let's talk about them! https://codereview.chromium.org/2788823002/diff/200001/components/webauth/authenticator_impl_unittest.cc File components/webauth/authenticator_impl_unittest.cc (right): https://codereview.chromium.org/2788823002/diff/200001/components/webauth/authenticator_impl_unittest.cc#newcode47 components/webauth/authenticator_impl_unittest.cc:47: Reload(); ...
3 months, 3 weeks ago (2017-06-27 08:03:30 UTC) #43
kpaulhamus
On 2017/06/27 08:03:30, Mike West (OOO until 19th) wrote: > A few tiny questions. Let's ...
3 months, 3 weeks ago (2017-06-27 09:20:37 UTC) #44
Mike West
third_party/WebKit LGTM (skipping tests on the assumption that we're going to move all the code ...
3 months, 3 weeks ago (2017-06-27 09:57:40 UTC) #46
kpaulhamus
On 2017/06/27 09:57:40, Mike West (OOO until 19th) wrote: > third_party/WebKit LGTM (skipping tests on ...
3 months, 3 weeks ago (2017-06-27 11:55:44 UTC) #47
kpaulhamus
3 months, 3 weeks ago (2017-06-27 11:56:03 UTC) #48
jam
Why is the implementation in components/webauth instead of content/ ? https://codereview.chromium.org/2788823002/diff/260001/components/webauth/DEPS File components/webauth/DEPS (right): https://codereview.chromium.org/2788823002/diff/260001/components/webauth/DEPS#newcode7 ...
3 months, 3 weeks ago (2017-06-27 13:52:17 UTC) #58
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2788823002/diff/240001/chrome/browser/BUILD.gn File chrome/browser/BUILD.gn (right): https://codereview.chromium.org/2788823002/diff/240001/chrome/browser/BUILD.gn#newcode3660 chrome/browser/BUILD.gn:3660: if (is_linux || is_win || is_mac) { why not ...
3 months, 3 weeks ago (2017-06-27 15:10:05 UTC) #59
kpaulhamus
On 2017/06/27 13:52:17, jam wrote: > Why is the implementation in components/webauth instead of content/ ...
3 months, 3 weeks ago (2017-06-27 18:46:58 UTC) #61
kpaulhamus
On 2017/06/27 15:10:05, jochen wrote: > https://codereview.chromium.org/2788823002/diff/240001/chrome/browser/BUILD.gn > File chrome/browser/BUILD.gn (right): > > https://codereview.chromium.org/2788823002/diff/240001/chrome/browser/BUILD.gn#newcode3660 > ...
3 months, 3 weeks ago (2017-06-27 18:48:34 UTC) #62
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2788823002/diff/280001/chrome/browser/DEPS File chrome/browser/DEPS (right): https://codereview.chromium.org/2788823002/diff/280001/chrome/browser/DEPS#newcode131 chrome/browser/DEPS:131: "+third_party/WebKit/public/platform/modules/webauth/authenticator.mojom.h", no longer needed? https://codereview.chromium.org/2788823002/diff/280001/chrome/browser/chrome_content_browser_client.cc File chrome/browser/chrome_content_browser_client.cc (right): https://codereview.chromium.org/2788823002/diff/280001/chrome/browser/chrome_content_browser_client.cc#newcode156 ...
3 months, 3 weeks ago (2017-06-28 07:38:30 UTC) #63
kpaulhamus
https://codereview.chromium.org/2788823002/diff/280001/chrome/browser/DEPS File chrome/browser/DEPS (right): https://codereview.chromium.org/2788823002/diff/280001/chrome/browser/DEPS#newcode131 chrome/browser/DEPS:131: "+third_party/WebKit/public/platform/modules/webauth/authenticator.mojom.h", On 2017/06/28 07:38:30, jochen wrote: > no longer ...
3 months, 3 weeks ago (2017-06-28 08:48:16 UTC) #64
jochen (gone - plz use gerrit)
ah, k, if it's possible to remove it, it's fine lgtm
3 months, 3 weeks ago (2017-06-28 18:22:03 UTC) #65
dcheng1
https://codereview.chromium.org/2788823002/diff/300001/third_party/WebKit/public/platform/modules/webauth/authenticator.mojom File third_party/WebKit/public/platform/modules/webauth/authenticator.mojom (right): https://codereview.chromium.org/2788823002/diff/300001/third_party/WebKit/public/platform/modules/webauth/authenticator.mojom#newcode98 third_party/WebKit/public/platform/modules/webauth/authenticator.mojom:98: ScopedCredentialInfo? scoped_credential); Drive-by: please document how/when scoped_credential may not ...
3 months, 3 weeks ago (2017-06-29 05:12:17 UTC) #66
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2788823002/320001
3 months, 3 weeks ago (2017-06-29 07:05:27 UTC) #69
kpaulhamus
On 2017/06/29 05:12:17, dcheng1 wrote: > https://codereview.chromium.org/2788823002/diff/300001/third_party/WebKit/public/platform/modules/webauth/authenticator.mojom > File third_party/WebKit/public/platform/modules/webauth/authenticator.mojom > (right): > > https://codereview.chromium.org/2788823002/diff/300001/third_party/WebKit/public/platform/modules/webauth/authenticator.mojom#newcode98 ...
3 months, 3 weeks ago (2017-06-29 07:05:46 UTC) #70
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/460453)
3 months, 3 weeks ago (2017-06-29 07:48:04 UTC) #72
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2788823002/320001
3 months, 3 weeks ago (2017-06-29 07:54:30 UTC) #74
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2788823002/320001
3 months, 3 weeks ago (2017-06-29 10:48:36 UTC) #77
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/489201)
3 months, 3 weeks ago (2017-06-29 11:50:23 UTC) #79
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2788823002/340001
3 months, 3 weeks ago (2017-06-29 13:20:57 UTC) #82
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/248580)
3 months, 3 weeks ago (2017-06-29 14:02:43 UTC) #84
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2788823002/diff/340001/content/test/BUILD.gn File content/test/BUILD.gn (right): https://codereview.chromium.org/2788823002/diff/340001/content/test/BUILD.gn#newcode49 content/test/BUILD.gn:49: "../browser/webauth/authenticator_impl.h", no need to depend on the files here
3 months, 3 weeks ago (2017-06-29 18:50:34 UTC) #85
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2788823002/360001
3 months, 3 weeks ago (2017-06-30 07:03:37 UTC) #88
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/453938)
3 months, 3 weeks ago (2017-06-30 07:20:50 UTC) #90
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2788823002/diff/360001/content/browser/webauth/authenticator_impl.h File content/browser/webauth/authenticator_impl.h (right): https://codereview.chromium.org/2788823002/diff/360001/content/browser/webauth/authenticator_impl.h#newcode26 content/browser/webauth/authenticator_impl.h:26: class AuthenticatorImpl : public webauth::mojom::Authenticator { this should be ...
3 months, 3 weeks ago (2017-06-30 08:15:10 UTC) #91
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2788823002/380001
3 months, 3 weeks ago (2017-06-30 08:46:03 UTC) #94
commit-bot: I haz the power
3 months, 3 weeks ago (2017-06-30 11:09:09 UTC) #97
Message was sent while issue was closed.
Committed patchset #20 (id:380001) as
https://chromium.googlesource.com/chromium/src/+/7c9f0094c6c0c202aa8d7219b89a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa